"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const jsxRuntime = require("react/jsx-runtime");
require("react");
require("clsx");
const useProps = require("../../../core/MantineProvider/use-props/use-props.cjs");
const Box = require("../../../core/Box/Box.cjs");
const polymorphicFactory = require("../../../core/factory/polymorphic-factory.cjs");
const AppShell_context = require("../AppShell.context.cjs");
const AppShell_module_css = require("../AppShell.module.css.cjs");
const defaultProps = {};
const AppShellSection = polymorphicFactory.polymorphicFactory((_props, ref) => {
  const props = useProps.useProps("AppShellSection", defaultProps, _props);
  const { classNames, className, style, styles, vars, grow, mod, ...others } = props;
  const ctx = AppShell_context.useAppShellContext();
  return /* @__PURE__ */ jsxRuntime.jsx(
    Box.Box,
    {
      ref,
      mod: [{ grow }, mod],
      ...ctx.getStyles("section", { className, style, classNames, styles }),
      ...others
    }
  );
});
AppShellSection.classes = AppShell_module_css.default;
AppShellSection.displayName = "@mantine/core/AppShellSection";
exports.AppShellSection = AppShellSection;
